Skip to main content
Version: Next

GitProviderIntegration

A connected git provider account the user can create repositories through.

Index

Properties

add_workspace_url

add_workspace_url: str | None

URL where the user can install the GitHub App on another account or organization. Only for the GitHub App.

id

id: str

The provider ID to use in the providerId path parameter: github-app for the GitHub App, or the ID of a connected GitLab or Bitbucket integration.

model_config

model_config: Undefined

provider

provider: Provider

workspaces

The workspaces the account can create a repository in. Empty if listing them failed.